Bug 501832 - TigerVNC Viewer don't show Russian letters
TigerVNC Viewer don't show Russian letters
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-20 18:17 EDT by nucleo
Modified: 2013-04-30 19:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-21 08:41:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description nucleo 2009-05-20 18:17:36 EDT
Description of problem:
TigerVNC Viewer don't show russian letters 

Version-Release number of selected component (if applicable):
tigervnc-0.0.90-0.9.fc11.i586

Steps to Reproduce:
1. Install tigervnc
2. Run with russian locale "LANG=ru_RU.UTF-8 vncviewer"
  
Actual results:
There are question signs instead of Russian text in TigerVNC Viewer window.

Expected results:
There is should be russian text or english if it is not possible to display russian.
Comment 1 Adam Tkac 2009-05-21 08:41:57 EDT
After inspection vncviewer code is not compatible with UTF-8 charset thus I disabled internationalization. Fixed tigervnc-0.0.90-0.10.fc11, thanks for report.

Note You need to log in before you can comment on or make changes to this bug.